package com.artfess.cqlt.manager;

import com.artfess.cqlt.model.QfInvestPatentD;
import com.artfess.cqlt.model.QfInvestPatentM;
import com.artfess.base.manager.BaseManager;

import java.util.List;

/**
 * 投资--萨固密集团专利授权数据主表 服务类
 *
 * @company 阿特菲斯信息技术有限公司
 * @author min.wu
 * @since 2023-02-23
 */
public interface QfInvestPatentMManager extends BaseManager<QfInvestPatentM> {

    boolean insertInfo(QfInvestPatentM t);

    boolean updateInfo(QfInvestPatentM t);

    boolean updateStatus(QfInvestPatentM t);

    boolean importExcel(List<QfInvestPatentD> list, String mainId);
}
